ALSA project - the C library reference: Deprecated Functions

# Deprecated Functions
[PCM Interface]

## Functions
const char * | snd_pcm_start_mode_name (snd_pcm_start_t mode) __attribute__((deprecated))
| (DEPRECATED) get name of PCM start mode setting
const char * | snd_pcm_xrun_mode_name (snd_pcm_xrun_t mode) __attribute__((deprecated))
| (DEPRECATED) get name of PCM xrun mode setting
int | snd_pcm_sw_params_set_start_mode (snd_pcm_t *pcm, snd_pcm_sw_params_t *params, snd_pcm_start_t val) __attribute__((deprecated))
| (DEPRECATED) Set start mode inside a software configuration container
snd_pcm_start_t | snd_pcm_sw_params_get_start_mode (const snd_pcm_sw_params_t *params) __attribute__((deprecated))
| (DEPRECATED) Get start mode from a software configuration container
int | snd_pcm_sw_params_set_xrun_mode (snd_pcm_t *pcm, snd_pcm_sw_params_t *params, snd_pcm_xrun_t val) __attribute__((deprecated))
| (DEPRECATED) Set xrun mode inside a software configuration container
snd_pcm_xrun_t | snd_pcm_sw_params_get_xrun_mode (const snd_pcm_sw_params_t *params) __attribute__((deprecated))
| (DEPRECATED) Get xrun mode from a software configuration container
int | snd_pcm_sw_params_set_xfer_align (snd_pcm_t *pcm, snd_pcm_sw_params_t *params, snd_pcm_uframes_t val) __attribute__((deprecated))
| (DEPRECATED) Set xfer align inside a software configuration container
int | snd_pcm_sw_params_get_xfer_align (const snd_pcm_sw_params_t *params, snd_pcm_uframes_t *val) __attribute__((deprecated))
| (DEPRECATED) Get xfer align from a software configuration container
int | snd_pcm_sw_params_set_sleep_min (snd_pcm_t *pcm, snd_pcm_sw_params_t *params, unsigned int val) __attribute__((deprecated))
| (DEPRECATED) Set minimum number of ticks to sleep inside a software configuration container
int | snd_pcm_sw_params_get_sleep_min (const snd_pcm_sw_params_t *params, unsigned int *val) __attribute__((deprecated))
| (DEPRECATED) Get minimum numbers of ticks to sleep from a software configuration container
int | snd_pcm_hw_params_get_tick_time (const snd_pcm_hw_params_t *params, unsigned int *val, int *dir) __attribute__((deprecated))
| (DEPRECATED) Extract tick time from a configuration space
int | snd_pcm_hw_params_get_tick_time_min (const snd_pcm_hw_params_t *params, unsigned int *val, int *dir) __attribute__((deprecated))
| (DEPRECATED) Extract minimum tick time from a configuration space
int | snd_pcm_hw_params_get_tick_time_max (const snd_pcm_hw_params_t *params, unsigned int *val, int *dir) __attribute__((deprecated))
| (DEPRECATED) Extract maximum tick time from a configuration space
int | snd_pcm_hw_params_test_tick_time (snd_pcm_t *pcm, snd_pcm_hw_params_t *params, unsigned int val, int dir) __attribute__((deprecated))
| (DEPRECATED) Verify if a tick time is available inside a configuration space for a PCM
int | snd_pcm_hw_params_set_tick_time (snd_pcm_t *pcm, snd_pcm_hw_params_t *params, unsigned int val, int dir) __attribute__((deprecated))
| (DEPRECATED) Restrict a configuration space to contain only one tick time
int | snd_pcm_hw_params_set_tick_time_min (snd_pcm_t *pcm, snd_pcm_hw_params_t *params, unsigned int *val, int *dir) __attribute__((deprecated))
| (DEPRECATED) Restrict a configuration space with a minimum tick time
int | snd_pcm_hw_params_set_tick_time_max (snd_pcm_t *pcm, snd_pcm_hw_params_t *params, unsigned int *val, int *dir) __attribute__((deprecated))
| (DEPRECATED) Restrict a configuration space with a maximum tick time
int | snd_pcm_hw_params_set_tick_time_minmax (snd_pcm_t *pcm, snd_pcm_hw_params_t *params, unsigned int *min, int *mindir, unsigned int *max, int *maxdir) __attribute__((deprecated))
| (DEPRECATED) Restrict a configuration space to have tick times in a given range
int | snd_pcm_hw_params_set_tick_time_near (snd_pcm_t *pcm, snd_pcm_hw_params_t *params, unsigned int *val, int *dir) __attribute__((deprecated))
| (DEPRECATED) Restrict a configuration space to have tick time nearest to a target
int | snd_pcm_hw_params_set_tick_time_first (snd_pcm_t *pcm, snd_pcm_hw_params_t *params, unsigned int *val, int *dir) __attribute__((deprecated))
| (DEPRECATED) Restrict a configuration space to contain only its minimum tick time
int | snd_pcm_hw_params_set_tick_time_last (snd_pcm_t *pcm, snd_pcm_hw_params_t *params, unsigned int *val, int *dir) __attribute__((deprecated))
| (DEPRECATED) Restrict a configuration space to contain only its maximum tick time

## Detailed Description

See the PCM (digital audio) interface page for more details.

## Function Documentation

int snd_pcm_hw_params_get_tick_time | ( | const snd_pcm_hw_params_t * | params,
|  | unsigned int * | val,
|  | int * | dir |
| ) |  |  |

(DEPRECATED) Extract tick time from a configuration space

Parameters:

  | params | Configuration space
  | val | Returned approximate tick duration in us
  | dir | Sub unit direction

Returns:
  0 otherwise a negative error code if the configuration space does not contain a single value

Actual exact value is <,=,> the approximate one following dir (-1, 0, 1)

int snd_pcm_hw_params_get_tick_time_max | ( | const snd_pcm_hw_params_t * | params,
|  | unsigned int * | val,
|  | int * | dir |
| ) |  |  |

(DEPRECATED) Extract maximum tick time from a configuration space

Parameters:

  | params | Configuration space
  | val | Returned approximate maximum tick duration in us
  | dir | Sub unit direction

Returns:
  0 otherwise a negative error code

Exact value is <,=,> the returned one following dir (-1,0,1)

int snd_pcm_hw_params_get_tick_time_min | ( | const snd_pcm_hw_params_t * | params,
|  | unsigned int * | val,
|  | int * | dir |
| ) |  |  |

(DEPRECATED) Extract minimum tick time from a configuration space

Parameters:

  | params | Configuration space
  | val | Returned approximate minimum tick duration in us
  | dir | Sub unit direction

Returns:
  0 otherwise a negative error code

Exact value is <,=,> the returned one following dir (-1,0,1)

int snd_pcm_hw_params_set_tick_time | ( | snd_pcm_t * | pcm,
|  | snd_pcm_hw_params_t * | params,
|  | unsigned int | val,
|  | int | dir |
| ) |  |  |

(DEPRECATED) Restrict a configuration space to contain only one tick time

Parameters:

  | pcm | PCM handle
  | params | Configuration space
  | val | approximate tick duration in us
  | dir | Sub unit direction

Returns:
  0 otherwise a negative error code if configuration space would become empty

Wanted exact value is <,=,> val following dir (-1,0,1)

int snd_pcm_hw_params_set_tick_time_first | ( | snd_pcm_t * | pcm,
|  | snd_pcm_hw_params_t * | params,
|  | unsigned int * | val,
|  | int * | dir |
| ) |  |  |

(DEPRECATED) Restrict a configuration space to contain only its minimum tick time

Parameters:

  | pcm | PCM handle
  | params | Configuration space
  | val | Returned approximate minimum tick duration in us
  | dir | Sub unit direction

Returns:
  0 otherwise a negative error code

Actual exact value is <,=,> the approximate one following dir (-1, 0, 1)

int snd_pcm_hw_params_set_tick_time_last | ( | snd_pcm_t * | pcm,
|  | snd_pcm_hw_params_t * | params,
|  | unsigned int * | val,
|  | int * | dir |
| ) |  |  |

(DEPRECATED) Restrict a configuration space to contain only its maximum tick time

Parameters:

  | pcm | PCM handle
  | params | Configuration space
  | val | Returned approximate maximum tick duration in us
  | dir | Sub unit direction

Returns:
  0 otherwise a negative error code

Actual exact value is <,=,> the approximate one following dir (-1, 0, 1)

int snd_pcm_hw_params_set_tick_time_max | ( | snd_pcm_t * | pcm,
|  | snd_pcm_hw_params_t * | params,
|  | unsigned int * | val,
|  | int * | dir |
| ) |  |  |

(DEPRECATED) Restrict a configuration space with a maximum tick time

Parameters:

  | pcm | PCM handle
  | params | Configuration space
  | val | approximate maximum tick duration in us (on return filled with actual maximum)
  | dir | Sub unit direction (on return filled with actual direction)

Returns:
  0 otherwise a negative error code if configuration space would become empty

Wanted/actual exact maximum is <,=,> val following dir (-1,0,1)

int snd_pcm_hw_params_set_tick_time_min | ( | snd_pcm_t * | pcm,
|  | snd_pcm_hw_params_t * | params,
|  | unsigned int * | val,
|  | int * | dir |
| ) |  |  |

(DEPRECATED) Restrict a configuration space with a minimum tick time

Parameters:

  | pcm | PCM handle
  | params | Configuration space
  | val | approximate minimum tick duration in us (on return filled with actual minimum)
  | dir | Sub unit direction (on return filled with actual direction)

Returns:
  0 otherwise a negative error code if configuration space would become empty

Wanted/actual exact minimum is <,=,> val following dir (-1,0,1)

int snd_pcm_hw_params_set_tick_time_minmax | ( | snd_pcm_t * | pcm,
|  | snd_pcm_hw_params_t * | params,
|  | unsigned int * | min,
|  | int * | mindir,
|  | unsigned int * | max,
|  | int * | maxdir |
| ) |  |  |

(DEPRECATED) Restrict a configuration space to have tick times in a given range

Parameters:

  | pcm | PCM handle
  | params | Configuration space
  | min | approximate minimum tick duration in us (on return filled with actual minimum)
  | mindir | Sub unit direction for minimum (on return filled with actual direction)
  | max | approximate maximum tick duration in us (on return filled with actual maximum)
  | maxdir | Sub unit direction for maximum (on return filled with actual direction)

Returns:
  0 otherwise a negative error code if configuration space would become empty

Wanted/actual exact min/max is <,=,> val following dir (-1,0,1)

int snd_pcm_hw_params_set_tick_time_near | ( | snd_pcm_t * | pcm,
|  | snd_pcm_hw_params_t * | params,
|  | unsigned int * | val,
|  | int * | dir |
| ) |  |  |

(DEPRECATED) Restrict a configuration space to have tick time nearest to a target

Parameters:

  | pcm | PCM handle
  | params | Configuration space
  | val | approximate target tick duration in us / returned chosen approximate target tick duration in us
  | dir | Sub unit direction

Returns:
  0 otherwise a negative error code if configuration space is empty

target/chosen exact value is <,=,> val following dir (-1,0,1)

int snd_pcm_hw_params_test_tick_time | ( | snd_pcm_t * | pcm,
|  | snd_pcm_hw_params_t * | params,
|  | unsigned int | val,
|  | int | dir |
| ) |  |  |

(DEPRECATED) Verify if a tick time is available inside a configuration space for a PCM

Parameters:

  | pcm | PCM handle
  | params | Configuration space
  | val | approximate tick duration in us
  | dir | Sub unit direction

Returns:
  0 if available a negative error code otherwise

Wanted exact value is <,=,> val following dir (-1,0,1)

const char* snd_pcm_start_mode_name | ( | snd_pcm_start_t | mode | ) |

(DEPRECATED) get name of PCM start mode setting

Parameters:

  | mode | PCM start mode

Returns:
  ascii name of PCM start mode setting

int snd_pcm_sw_params_get_sleep_min | ( | const snd_pcm_sw_params_t * | params,
|  | unsigned int * | val |
| ) |  |  |

(DEPRECATED) Get minimum numbers of ticks to sleep from a software configuration container

Parameters:

  | params | Software configuration container
  | val | returned minimum number of ticks to sleep or 0 if tick timer is disabled

Returns:
  0 otherwise a negative error code

snd_pcm_start_t snd_pcm_sw_params_get_start_mode | ( | const snd_pcm_sw_params_t * | params | ) |

(DEPRECATED) Get start mode from a software configuration container

Parameters:

  | params | Software configuration container

Returns:
  start mode

int snd_pcm_sw_params_get_xfer_align | ( | const snd_pcm_sw_params_t * | params,
|  | snd_pcm_uframes_t * | val |
| ) |  |  |

(DEPRECATED) Get xfer align from a software configuration container

Parameters:

  | params | Software configuration container
  | val | returned chunk size (frames are attempted to be transferred in chunks)

Returns:
  0 otherwise a negative error code

snd_pcm_xrun_t snd_pcm_sw_params_get_xrun_mode | ( | const snd_pcm_sw_params_t * | params | ) |

(DEPRECATED) Get xrun mode from a software configuration container

Parameters:

  | params | Software configuration container

Returns:
  xrun mode

int snd_pcm_sw_params_set_sleep_min | ( | snd_pcm_t * | pcm,
|  | snd_pcm_sw_params_t * | params,
|  | unsigned int | val |
| ) |  |  |

(DEPRECATED) Set minimum number of ticks to sleep inside a software configuration container

Parameters:

  | pcm | PCM handle
  | params | Software configuration container
  | val | Minimum ticks to sleep or 0 to disable the use of tick timer

Returns:
  0 otherwise a negative error code

int snd_pcm_sw_params_set_start_mode | ( | snd_pcm_t * | pcm,
|  | snd_pcm_sw_params_t * | params,
|  | snd_pcm_start_t | val |
| ) |  |  |

(DEPRECATED) Set start mode inside a software configuration container

Parameters:

  | pcm | PCM handle
  | params | Software configuration container
  | val | Start mode

Returns:
  0 otherwise a negative error code

int snd_pcm_sw_params_set_xfer_align | ( | snd_pcm_t * | pcm,
|  | snd_pcm_sw_params_t * | params,
|  | snd_pcm_uframes_t | val |
| ) |  |  |

(DEPRECATED) Set xfer align inside a software configuration container

Parameters:

  | pcm | PCM handle
  | params | Software configuration container
  | val | Chunk size (frames are attempted to be transferred in chunks)

Returns:
  0 otherwise a negative error code

int snd_pcm_sw_params_set_xrun_mode | ( | snd_pcm_t * | pcm,
|  | snd_pcm_sw_params_t * | params,
|  | snd_pcm_xrun_t | val |
| ) |  |  |

(DEPRECATED) Set xrun mode inside a software configuration container

Parameters:

  | pcm | PCM handle
  | params | Software configuration container
  | val | Xrun mode

Returns:
  0 otherwise a negative error code

const char* snd_pcm_xrun_mode_name | ( | snd_pcm_xrun_t | mode | ) |

(DEPRECATED) get name of PCM xrun mode setting

Parameters:

  | mode | PCM xrun mode

Returns:
  ascii name of PCM xrun mode setting

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines